Railway.NetCore 0.0.1

This is a Framework designed to give us the power to develop in C# in a Functional way using Railway Oriented Programming. This Framework is using .Net Standard 2.

Install-Package Railway.NetCore -Version 0.0.1
dotnet add package Railway.NetCore --version 0.0.1
<PackageReference Include="Railway.NetCore" Version="0.0.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Railway.NetCore --version 0.0.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: Railway.NetCore, 0.0.1"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install Railway.NetCore as a Cake Addin
#addin nuget:?package=Railway.NetCore&version=0.0.1

// Install Railway.NetCore as a Cake Tool
#tool nuget:?package=Railway.NetCore&version=0.0.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Railway.NetCore

This is a Framework designed to give us the power to develop in C# in a Functional way using Railway Oriented Programming. This Framework is using .Net Standard 2.

Required

  • Netstandard 2.0

Assumptions:

Railway Oriented

You can find out more about Railway Oriented Programming at http://fsharpforfunandprofit.com/rop, where there are slides and videos that explain the concepts in more detail.

Technologies used:

Railway.NetCore

This is a Framework designed to give us the power to develop in C# in a Functional way using Railway Oriented Programming. This Framework is using .Net Standard 2.

Required

  • Netstandard 2.0

Assumptions:

Railway Oriented

You can find out more about Railway Oriented Programming at http://fsharpforfunandprofit.com/rop, where there are slides and videos that explain the concepts in more detail.

Technologies used:

  • .NETStandard 2.0

    • No dependencies.

NuGet packages (2)

Showing the top 2 NuGet packages that depend on Railway.NetCore:

Package Downloads
DomainDrivenDesign.Core
This is a Framework designed to give us the Core of DDD to .Net. This Framework is using .Net Standard 2.
DomainDrivenDesign.Core.CQRS
This is a Framework designed to give us the Core of DDD to .Net. This Framework is using .Net Standard 2.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
0.0.1 285 7/23/2020